View Issue Details

IDProjectCategoryView StatusLast Update
0033055Open CASCADEOCCT:Data Exchangepublic2022-07-23 15:38
Reporterkgv Assigned Toatychini  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.7.0 
Target Version7.7.0 
Summary0033055: Data Exchange, RWPly_Provider - remove dependency from BRepLib_PointCloudShape
Description#0032821 introduced dependency of PLY export tool from Point Cloud generation algorithm BRepLib_PointCloudShape (hence, adding TKTopAlgo dependency to TKRWMesh).
This point cloud generation logic even though might be useful in some specific cases, in general looks unnatural in both aspects - PLY format is more appropriate for polygonal meshes rather than to point clouds, and point cloud generation is not quite a step that expected to be done implicitly by Data Exchange component.

Therefore, it is proposed removing this feature from `RWPly_Provider` (and moving elsewhere, if necessary - like a TKRWPointCloud component designed specifically to work with point clouds).
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0029325 verifiedgka Open CASCADE Modeling Algorithms - add tool BRepLib_PointCloudShape for generation point cloud for specified shape 

Activities

git

2022-07-11 16:07

administrator   ~0109762

Branch CR33055 has been created by atychini.

SHA-1: 4f0036b20c4e4af817eb0f983238ad9a85c9b58d


Detailed log of new commits:

Author: atychini
Date: Mon Jul 11 16:07:23 2022 +0300

    0033055: Data Exchange, RWPly_Provider - remove dependency from BRepLib_PointCloudShape
    
    Removing PointCloud writing feature from the RWPly_Provider class.

git

2022-07-11 16:14

administrator   ~0109763

Branch CR33055 has been updated forcibly by atychini.

SHA-1: 440a7c2518c0b616c94c061fa1eb5846c779dd67

atychini

2022-07-11 18:14

developer   ~0109764

Dear msv, branch CR33055 is ready for review
All tests are ok, see http://jenkins-test-08.nnov.opencascade.com/view/CR33055-master-atychini/view/COMPARE/

kgv

2022-07-11 19:35

developer   ~0109767

Please also remove unused dependency TKTopAlgo from TKRWMesh

git

2022-07-11 19:41

administrator   ~0109768

Branch CR33055 has been updated forcibly by atychini.

SHA-1: 00a9d47e83b02d9de425d581652a102999b57689

msv

2022-07-12 16:17

developer   ~0109782

For integration:
occt - CR33055
products - none

kgv

2022-07-15 15:52

developer   ~0109829

Last edited: 2022-07-15 15:53

@atychini
-provider.PLY.OCC.write.pnt.set :         0
 provider.PLY.OCC.write.distance :        0
 provider.PLY.OCC.write.density :         2e+100
 provider.PLY.OCC.write.tolerance :       1e-07

I have some feelings that 3 parameters below are also related to this removed point cloud export feature, and could be dropped as well.

git

2022-07-15 16:10

administrator   ~0109833

Branch CR33055 has been updated forcibly by atychini.

SHA-1: 809aa06873e1b290d07a12ad09e9854ccc34dc3d

msv

2022-07-15 16:22

developer   ~0109834

@atychini, please check.

atychini

2022-07-15 20:39

developer   ~0109836

Dear msv, tests have been completed successfully.
http://jenkins-test-08.nnov.opencascade.com/view/CR33055-master-atychini/view/ALL/

git

2022-07-18 07:33

administrator   ~0109847

Branch CR33055 has been updated forcibly by atychini.

SHA-1: 411ad1a819017ae731c10311db5c084c88d7a03e

smoskvin

2022-07-23 14:10

administrator   ~0109955

Combination -
OCCT branch : IR-2022-07-22
master SHA - changes and them, and you can discard any commits you make in this
cb8519be19a3533b741f016d703119320de72ea6
changes and them, and you can discard any commits you make in this
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-07-22 SHA - 7d10377b57d1c1ddf69852bf5b4e764f581c282f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18704.32000000071 / 18688.950000000597 [+0.08%]
Products
Total CPU difference: 11922.590000000118 / 11921.05000000012 [+0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 20723.546875 / 20746.84375 [-0.11%]
Products
Total CPU difference: 13486.40625 / 13479.375 [+0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-07-23 15:38

administrator   ~0109965

Branch CR33055 has been deleted by mnt.

SHA-1: 411ad1a819017ae731c10311db5c084c88d7a03e

Related Changesets

occt: master 411ad1a8

2022-07-11 16:07:23

atychini

Details Diff
0033055: Data Exchange, RWPly_Provider - remove dependency from BRepLib_PointCloudShape

Removing PointCloud writing feature from the RWPly_Provider class.
Getting rid of Pointcloud-related parameters in the RWPly_ConfigurationNode.
Affected Issues
0033055
mod - src/RWPly/RWPly_ConfigurationNode.cxx Diff File
mod - src/RWPly/RWPly_ConfigurationNode.hxx Diff File
mod - src/RWPly/RWPly_Provider.cxx Diff File
mod - src/TKRWMesh/EXTERNLIB Diff File
mod - tests/de_wrapper/configuration/A3 Diff File

Issue History

Date Modified Username Field Change
2022-07-06 21:38 kgv New Issue
2022-07-06 21:38 kgv Assigned To => dpasukhi
2022-07-07 11:22 dpasukhi Assigned To dpasukhi => atychini
2022-07-11 16:07 git Note Added: 0109762
2022-07-11 16:11 dpasukhi Relationship added related to 0029325
2022-07-11 16:14 git Note Added: 0109763
2022-07-11 18:14 atychini Assigned To atychini => msv
2022-07-11 18:14 atychini Status new => resolved
2022-07-11 18:14 atychini Steps to Reproduce Updated
2022-07-11 18:14 atychini Note Added: 0109764
2022-07-11 19:35 kgv Note Added: 0109767
2022-07-11 19:41 git Note Added: 0109768
2022-07-12 16:17 msv Assigned To msv => bugmaster
2022-07-12 16:17 msv Status resolved => reviewed
2022-07-12 16:17 msv Note Added: 0109782
2022-07-15 15:52 kgv Note Added: 0109829
2022-07-15 15:53 kgv Note Edited: 0109829
2022-07-15 16:10 git Note Added: 0109833
2022-07-15 16:22 msv Assigned To bugmaster => atychini
2022-07-15 16:22 msv Status reviewed => assigned
2022-07-15 16:22 msv Note Added: 0109834
2022-07-15 20:39 atychini Assigned To atychini => msv
2022-07-15 20:39 atychini Status assigned => resolved
2022-07-15 20:39 atychini Note Added: 0109836
2022-07-15 20:46 kgv Assigned To msv => bugmaster
2022-07-15 20:46 kgv Status resolved => reviewed
2022-07-18 07:33 git Note Added: 0109847
2022-07-23 14:10 smoskvin Status reviewed => tested
2022-07-23 14:10 smoskvin Note Added: 0109955
2022-07-23 14:16 smoskvin Test case number => Not required
2022-07-23 15:29 atychini Changeset attached => occt master 411ad1a8
2022-07-23 15:29 atychini Assigned To bugmaster => atychini
2022-07-23 15:29 atychini Status tested => verified
2022-07-23 15:29 atychini Resolution open => fixed
2022-07-23 15:38 git Note Added: 0109965